> ## Documentation Index
> Fetch the complete documentation index at: https://ekacare-quickstart-cleanup.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Search slots

> This API is used to search for available consultation slots for booking.



## OpenAPI

````yaml post /abdm/uhi/v1/physical-consultation/search/doctors/slots
openapi: 3.1.0
info:
  description: ABHA Registration and login APIs
  title: Registration
  version: 1.0.0
servers:
  - description: Production
    url: https://api.eka.care
  - description: Stage/Sandbox
    url: https://api.dev.eka.care
security: []
paths:
  /abdm/uhi/v1/physical-consultation/search/doctors/slots:
    post:
      description: This API is used to search for available consultation slots for booking.
      parameters:
        - description: Eka User ID (OID)
          in: header
          name: X-Pt-Id
          schema:
            type: string
        - description: Partner User ID
          in: header
          name: X-Partner-Pt-Id
          schema:
            type: string
        - description: Partner HIP ID
          in: header
          name: X-Hip-Id
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ModelsSlotSearchRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ModelsGetPhysConsCommonResponse'
          description: OK
        4XX:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenericError'
          description: ''
        5XX:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenericError'
          description: ''
      security:
        - authApiKey: []
components:
  schemas:
    ModelsSlotSearchRequest:
      properties:
        end_time:
          description: End date/time until which available slots should be searched
          examples:
            - '2025-08-24T08:50:00.000Z'
          type: string
        facility_id:
          description: facility ID of the provider
          type: string
        hpr_id:
          description: Health Professional Registry (HPR) ID of the doctor
          type: string
        provider_id:
          description: Identifier of the doctor in the system
          type: string
        start_time:
          description: Start date/time from which available slots should be searched
          examples:
            - '2025-08-24T08:40:00.000Z'
          type: string
        transaction_id:
          description: Unique transaction ID for tracking the request
          type: string
      required:
        - provider_id
        - hpr_id
        - start_time
        - end_time
        - transaction_id
        - facility_id
      type: object
    ModelsGetPhysConsCommonResponse:
      properties:
        order_id:
          description: Unique booking/order ID
          type: string
        provider_id:
          description: Provider ID for the next API call
          type: string
        txn_id:
          description: Unique transaction ID for the next API call
          type: string
      type: object
    GenericError:
      properties:
        code:
          type: integer
        error:
          type: string
        source_error:
          $ref: '#/components/schemas/SourceErr'
      type: object
    SourceErr:
      properties:
        code:
          type: string
        message:
          type: string
      type: object
  securitySchemes:
    authApiKey:
      description: The API requires a Bearer token (JWT) for authentication.
      scheme: bearer
      type: http

````